Opened 9 years ago

Last modified 9 years ago

#1628 new defect

Use external libass

Reported by: erappleman@… Owned by: eugeni.stepanov@…
Priority: normal Component: libass
Version: HEAD Severity: normal
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

MPlayer's libass is now outdated by at least a year in comparison to the external version. I kindly request that the libass that the MPlayer trunk uses be separate and not tied to antiquated code that requires ridiculous amounts of bureaucracy to update.

http://code.google.com/p/libass/

Change History (2)

comment:1 Changed 9 years ago by erappleman@…

I would like to amend my description to reflect that mplayer trunk is now relatively up to date with libass master.

comment:2 Changed 9 years ago by reimar

And MPlayer can use external libass.
It can also easily default to using external libass, and I do not object to changing this even though I think it would have more disadvantages.
A configure check that finds out which one is newer and picks that probably would be the nicest solution.

Note: See TracTickets for help on using tickets.